Skip to main content

Update a Server's storage space notification threshold

PUT/v2/servers/{serverId}/storage-space-notification-threshold
API version
v2
Request method
PUT
Operation ID
deprecated-storagespace-replace-server-notification-threshold

Request​

  • serverIdstringrequired

    ID of the Server to update the storage space notification threshold for.

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X PUT \
-d '{"notificationThresholdInBytes":10000}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/servers/string/storage-space-notification-threshold
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.project.deprecatedStoragespaceReplaceServerNotificationThreshold({
"serverId": "string",
"data": {
"notificationThresholdInBytes": 10000
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Project\DeprecatedStoragespaceReplaceServerNotificationThreshold\DeprecatedStoragespaceReplaceServerNotificationThresholdRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Project\DeprecatedStoragespaceReplaceServerNotificationThreshold\DeprecatedStoragespaceReplaceServerNotificationThresholdRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeprecatedStoragespaceReplaceServerNotificationThresholdRequestBody to learn how to construct a valid instance
$body = new DeprecatedStoragespaceReplaceServerNotificationThresholdRequestBody(/* TODO: ... */);

$request = (new DeprecatedStoragespaceReplaceServerNotificationThresholdRequest(
serverId: "string",
body: $body
));
$response = $client->project()->deprecatedStoragespaceReplaceServerNotificationThreshold($request);

var_dump($response->getBody();

On this page